Package javassist.bytecode.annotation

# Class MemberValue

java.lang.Object
javassist.bytecode.annotation.MemberValue

Direct Known Subclasses:
  `AnnotationMemberValue`, `ArrayMemberValue`, `BooleanMemberValue`, `ByteMemberValue`, `CharMemberValue`, `ClassMemberValue`, `DoubleMemberValue`, `EnumMemberValue`, `FloatMemberValue`, `IntegerMemberValue`, `LongMemberValue`, `ShortMemberValue`, `StringMemberValue`

public abstract class MemberValue extends Object
The value of a member declared in an annotation.

Author:
  Bill Burke, Shigeru Chiba
See Also:
  - `Annotation.getMemberValue(String)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`accept(MemberValueVisitor visitor)`
Accepts a visitor.
`abstract void`
`write(AnnotationsWriter w)`
Writes the value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accept

public abstract void accept(MemberValueVisitor visitor)
Accepts a visitor.

### write

public abstract void write(AnnotationsWriter w) throws IOException
Writes the value.

Throws:
  `IOException`